package com.javaworld.a200711.exceptions;

public class NestedException extends RuntimeException {

	protected Exception nestedException;
	protected int issueId;

	public NestedException(String msg, Exception e, int id) {
		super(msg);
		this.nestedException = e;
		this.issueId = id;
	}
	
	public Exception getNestedException() {
		return this.nestedException;
	}
	
	public int getIssue() {
		return this.issueId;
	}
	
}

